Name:           glest-data
Version:        2.0.0
Release:        2%{?dist}
Summary:        Data files for the game Glest

Group:          Amusements/Games
License:        Distributable
URL:            http://www.glest.org
Source0:        http://dl.sf.net/glest/glest_data_%{version}.zip
# Script used to create SOURCE2
Source1:        glest-get-translations.sh
Source2:        glest-translations-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  ImageMagick
Requires:       glest = %{version}

%description
Glest  is a free 3D real time strategy game, that can be modified
using XML and a set of tools.
This package contains the data files for the game.

%prep
%setup -q -n glest_game
# dos2unix some docs files
find docs -type f | xargs sed -i -e "s/\r//g"


%build
# Only data files, no build.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glest/
cp -a * $RPM_BUILD_ROOT%{_datadir}/glest/
# provided by the binary package
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.ini
# Needs to be writeable (in the user's homedir)
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.log
# Icon
convert $RPM_BUILD_ROOT%{_datadir}/glest/glest.ico \
        $RPM_BUILD_ROOT%{_datadir}/glest/glest.png
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.ico
# Translations
tar -xf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/glest/data/lang/
pushd $RPM_BUILD_ROOT%{_datadir}/glest/data/lang/
for langfile in translations/*.zip; do
    unzip $langfile
done
rm -rf translations
chmod 644 *.lng
popd
# Documentation: put everything in the glest docdir (more logical)
mkdir -p $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/
mv $RPM_BUILD_ROOT%{_datadir}/glest/docs/* $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/
rmdir $RPM_BUILD_ROOT%{_datadir}/glest/docs
# Conflics with the glest package
mv $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/license{.txt,-data.txt}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/glest-%{version}/*
%{_datadir}/glest/*



%changelog
* Sun Nov 26 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-2
- fix Licence tag

* Thu Nov 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-1
- initial package
